* Output options: all can be turned on/off by adding or removing the 'NO':
  page number, date, centering, or page breaks, page length and width; 
	OPTIONS nonumber nodate nocenter formdlim='-' pagesize=MAX linesize=120;


****** Day 2 activity: Working with Variables;

* Multivariate example data: "fammult.sas7bdat" 
  moms and dads from 1000 families, 3 variables at 5 occasions;

*****************************************************************************************;
* Task 1: Create a SAS library for where the data file is.
  Import it into the work library, and create a macro variable for the file name.
*****************************************************************************************;


*****************************************************************************************;
* Task 2: Compute 5 new variables:
* Means and Standard Deviations for the 2 sets of
	"mmon13-mmon17" and "dmon13-dmon17" variables,
    making sure the families have at least 4 observations to do so.
	The function for Standard Deviation is STD. 
* A new categorical variable from "mworkmn" that distinguishes
    part-time work (0-30.00 hours) from full-time work (30.01-40+ hours).
	Add a value label to be used in the output via PROC FORMAT.
* Add variable labels to all new variables.
*****************************************************************************************;




*****************************************************************************************;
* Task 3: Now that you have your new variables, creat output that describes them.
  Use titles for each piece of output, but clear them after each one is done.

* Use PROC FREQ to see how many part-time vs. full-time moms you have.
    Use a FORMAT statement to have your value labels show up on the output.
* Use PROC UNIVARIATE to view descriptives for the mean "mmon" variable you created  
	separately by part-time vs. full-time mom work type. Use a FORMAT statement.
	Request histogram and QQplots for the variable using normal and lognormal.
* Use PROC MEANS to view descriptives for the mean "dmon" variable you created  
	only for full-time mom work type.

* Sort the file by FamilyID again.
* Save the finished file as "FamMultDone.sas7bdat".
*****************************************************************************************;

